Subject: Re: svnimport problems (abysmal performance and crash) on Cygwin

From: Rogan Dawes <[email-masked]>
Date: Mon, 12 Mar 2007 08:24:19 +0100

Rogan Dawes wrote:
> Hi folks,
> 
> I am trying to use git to track the Spring Rich Client project's SVN 
> repository, along with some local changes. I am using git 1.5.0.3 as 
> packaged by Cygwin, on Windows XP SP2.
> 
> The repo's URL is:
> 
> <http://spring-rich-c.svn.sourceforge.net/svnroot/spring-rich-c/trunk/spring-richclient> 
> 
> 
> I start the import using:
> 
> git svnimport -v $url
> 
> and then wait (and wait and wait). For some reason, revision 5 takes 
> over an hour to complete, from version 4. The repo is not substantial 
> (when it eventually fails on rev 102, the unpacked repo is only 148kB).
> 
> In addition, it does not complete the import successfully.
> 
> Eventually (I left it running while I slept), it crashes on rev 102 with 
> the following message:
> 
> Tree ID 4b825dc642cb6eb9a060e54bf8d69288fbee4904
> Committed change 102:/ 2004-08-03 04:53:31)
> Merge parent branch: ab10f9f06566e0fbdb3ee57d7489b53567f313d3
> Commit ID 722f84d2578f84a1b64904b0b425e02c0397c40e
> Writing to refs/heads/origin
> DONE: 102 origin 722f84d2578f84a1b64904b0b425e02c0397c40e
> RA layer request failed: REPORT request failed on 
> '/svnroot/spring-rich-c/!svn/bc/1001/trunk/spring-richclient': REPORT of 
> '/svnroot/spring-rich-c/!svn/bc/1001/trunk/spring-richclient': 200 OK 
> (http://spring-rich-c.svn.sourceforge.net) at /usr/bin/git-svnimport 
> line 955
> 
> Any ideas what might be going on? Or suggestions for debugging this 
> further?
> 
> Many thanks
> 
> Rogan
> 
> P.S. It also looks like Rev 4-5 takes quite a long time under Linux as 
> well, from initial analysis.

Another data point:

I ran it on a Linux server I have access to, and it got further (rev 
147), but still failed. The error message was different, though:

Tree ID 4b825dc642cb6eb9a060e54bf8d69288fbee4904
Committed change 147:/ 2004-08-12 18:23:53)
Merge parent branch: 1f053b959bdee167f328cf98116179358d80fef9
Commit ID ef57373cfd1ef6ddf797a4b5ea66de6465391789
Writing to refs/heads/origin
DONE: 147 origin ef57373cfd1ef6ddf797a4b5ea66de6465391789 at Mon Mar 12 
06:40:47 2007
RA layer request failed: REPORT request failed on 
'/svnroot/spring-rich-c/!svn/bc/1001/trunk/spring-richclient': REPORT of 
'/svnroot/spring-rich-c/!svn/bc/1001/trunk/spring-richclient': Could not 
read response body: connection was closed by server. 
(http://spring-rich-c.svn.sourceforge.net) at 
/home/rdawes/bin/git-svnimport line 955

Rogan